Bug 493670 - unsupported compression method 99
unsupported compression method 99
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: unzip (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Karel Klíč
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-02 11:29 EDT by Rahul Sundaram
Modified: 2013-03-13 01:44 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-20 05:57:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rahul Sundaram 2009-04-02 11:29:02 EDT
Description of problem:

unzip fails to uncompress a zip file.

#unzip foo.zip 

Archive:  foo.zip
skipping: bar.wmv            unsupported compression method 99

# file foo.zip

foo.zip: Zip archive data, at least v2.0 to extract

My understanding is that, it is a password protected zip file created in Windows using PKZIP


Version-Release number of selected component (if applicable):

unzip-5.52-9.fc9.i386


Additional info:

7zip works perfectly on the same zip file
Comment 1 Bug Zapper 2009-11-18 06:40:20 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Ivana Varekova 2009-11-18 08:04:19 EST
Package maintainer was changed -> changing the bug owner.
Comment 3 Karel Klíč 2009-11-20 05:57:53 EST
Compression method 99 indicates the AES encryption. Maybe it will be supported in the next upstream release:

http://www.info-zip.org/board/board.pl?m-1253652145/

It is not trivial to implement it, therefore I am closing it as WONTFIX.
Comment 4 webbertiger 2009-12-10 21:40:07 EST
Unzip tool 7z can handle AES decompression:
7z x foo.zip
In Debian you can install p7zip-full to get this tool, probably they have similar thing for RH.
Comment 5 Romeo Kienzler 2013-03-12 09:42:06 EDT
Hi, since I'm having the same issue with RHEL 6.3 I'm responding to this old thread. Here is how to fix it:

Enable the EPEL and RPM-Fusion repositories (google how to do it)

type in:

sudo yum --enablerepo=rpmfusion-free-updates --enablerepo=rpmfusion-nonfree-updates --enablerepo=epel install p7zip

Now just doubleclick your encrypted zip-file...

----------------------------------------------------------------------------------
Romeo Kienzler
https://www.ibm.com/developerworks/mydeveloperworks/profiles/user/RomeoKienzler
----------------------------------------------------------------------------------

Note You need to log in before you can comment on or make changes to this bug.